Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.mina.transport.socket.nio
Class DatagramConnector

    java.lang.Object
      org.apache.mina.common.support.DelegatedIoConnector
          org.apache.mina.transport.socket.nio.DatagramConnector

All Implemented Interfaces:
  IoConnector, IoService

    public class DatagramConnector

extends org.apache.mina.common.support.DelegatedIoConnector

`IoConnector` for datagram transport (UDP/IP).

Version:
  $Rev: 587373 $, $Date: 2007-10-23 11:54:05 +0900 (Tue, 23 Oct 2007) $
Author:
  The Apache Directory Project (mina-dev@directory.apache.org)

Field Summary

Fields inherited from class org.apache.mina.common.support.DelegatedIoConnector
`delegate`

Constructor Summary
`DatagramConnector()` Creates a new instance using a NewThreadExecutor
`DatagramConnector(Executor executor)` Creates a new instance.

Method Summary
`DatagramConnectorConfig` | `getDefaultConfig()` Returns the default configuration which is used when you didn't specify any configuration.
`void` | `setDefaultConfig(DatagramConnectorConfig defaultConfig)` Sets the default config this connector should use.

Methods inherited from class org.apache.mina.common.support.DelegatedIoConnector
`addListener, connect, connect, connect, connect, getFilterChain, getFilterChainBuilder, getManagedServiceAddresses, getManagedSessions, init, isManaged, removeListener, setFilterChainBuilder`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### DatagramConnector

    public DatagramConnector()

  Creates a new instance using a NewThreadExecutor

### DatagramConnector

    public DatagramConnector(Executor executor)

  Creates a new instance.

  Parameters:
    `executor` - Executor to use for launching threads

Method Detail

### getDefaultConfig

    public DatagramConnectorConfig getDefaultConfig()

  Description copied from interface: `IoService`
  Returns the default configuration which is used when you didn't specify any configuration.

  Specified by:
    `getDefaultConfig` in interface `IoService`
  Overrides:
    `getDefaultConfig` in class `org.apache.mina.common.support.DelegatedIoConnector`

### setDefaultConfig

    public void setDefaultConfig(DatagramConnectorConfig defaultConfig)

  Sets the default config this connector should use.

  Parameters:
    `defaultConfig` - the default config.
  Throws:
    `NullPointerException` - if the specified value is `null`.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2004-2008 Apache MINA Project. All Rights Reserved.